<?php
/**
 * Footer Settings
 *
 * @package Once
 */

CSCO_Kirki::add_section(
	'footer', array(
		'title'    => esc_html__( 'Footer Settings', 'once' ),
		'priority' => 40,
	)
);


CSCO_Kirki::add_field(
	'csco_theme_mod', array(
		'type'     => 'collapsible',
		'settings' => 'footer_collapsible_general',
		'label'    => esc_html__( 'General', 'once' ),
		'section'  => 'footer',
		'priority' => 10,
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod', array(
		'type'     => 'radio',
		'settings' => 'footer_layout',
		'label'    => esc_html__( 'Layout', 'once' ),
		'section'  => 'footer',
		'default'  => 'type-3',
		'priority' => 10,
		'choices'  => array(
			'type-1' => esc_html__( 'Type 1', 'once' ),
			'type-2' => esc_html__( 'Type 2', 'once' ),
			'type-3' => esc_html__( 'Type 3', 'once' ),
		),
	)
);

CSCO_Kirki::add_field(
	'csco_theme_mod', array(
		'type'              => 'textarea',
		'settings'          => 'footer_text',
		'label'             => esc_html__( 'Footer Text', 'once' ),
		'section'           => 'footer',
		/* translators: %s: Author name. */
		'default'           => sprintf( esc_html__( 'Designed & Developed by %s', 'once' ), '<a href="' . esc_url( csco_get_theme_data( 'AuthorURI' ) ) . '">Code Supply Co.</a>' ),
		'priority'          => 10,
		'sanitize_callback' => 'wp_kses_post',
	)
);

if ( csco_powerkit_module_enabled( 'instagram_integration' ) ) {
	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'     => 'collapsible',
			'settings' => 'footer_collapsible_instagram',
			'label'    => esc_html__( 'Instagram', 'once' ),
			'section'  => 'footer',
			'priority' => 10,
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'     => 'text',
			'settings' => 'footer_instagram_username',
			'label'    => esc_html__( 'Instagram Username', 'once' ),
			'section'  => 'footer',
			'default'  => '',
			'priority' => 10,
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'radio',
			'settings'        => 'footer_instagram_layout',
			'label'           => esc_html__( 'Layout', 'once' ),
			'section'         => 'footer',
			'default'         => 'modern',
			'priority'        => 10,
			'choices'         => array(
				'simple' => esc_html__( 'Simple', 'once' ),
				'modern' => esc_html__( 'Modern', 'once' ),
			),
			'active_callback' => array(
				array(
					'setting'  => 'footer_instagram_username',
					'operator' => '!=',
					'value'    => '',
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'radio',
			'settings'        => 'footer_instagram_animation',
			'label'           => esc_html__( 'Animation Type', 'once' ),
			'section'         => 'footer',
			'default'         => 'continuous',
			'priority'        => 10,
			'choices'         => array(
				'continuous' => esc_html__( 'Continuous', 'once' ),
				'stepwise'   => esc_html__( 'Stepwise', 'once' ),
			),
			'active_callback' => array(
				array(
					'setting'  => 'footer_instagram_username',
					'operator' => '!=',
					'value'    => '',
				),
				array(
					'setting'  => 'footer_instagram_layout',
					'operator' => '==',
					'value'    => 'modern',
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'checkbox',
			'settings'        => 'footer_instagram_header',
			'label'           => esc_html__( 'Display header', 'once' ),
			'section'         => 'footer',
			'default'         => true,
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'footer_instagram_username',
					'operator' => '!=',
					'value'    => '',
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'              => 'textarea',
			'settings'          => 'footer_instagram_title',
			'label'             => esc_html__( 'Title', 'once' ),
			'section'           => 'footer',
			'default'           => esc_html__( 'Our Latest', 'once' ) . "\n" . esc_html__( 'Instagram Posts', 'once' ),
			'description'       => esc_html__( 'Insert a line break to style the second line differently.', 'once' ),
			'priority'          => 10,
			'sanitize_callback' => 'wp_kses_post',
			'active_callback'   => array(
				array(
					'setting'  => 'footer_instagram_username',
					'operator' => '!=',
					'value'    => '',
				),
				array(
					'setting'  => 'footer_instagram_header',
					'operator' => '==',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'checkbox',
			'settings'        => 'footer_instagram_button',
			'label'           => esc_html__( 'Display follow button', 'once' ),
			'section'         => 'footer',
			'default'         => true,
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'footer_instagram_username',
					'operator' => '!=',
					'value'    => '',
				),
			),
		)
	);
}

if ( csco_powerkit_module_enabled( 'opt_in_forms' ) ) {
	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'collapsible',
			'settings'        => 'footer_collapsible_subscription',
			'label'           => esc_html__( 'Subscription Form', 'once' ),
			'section'         => 'footer',
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'footer_layout',
					'operator' => '==',
					'value'    => 'type-1',
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'checkbox',
			'settings'        => 'footer_subscribe_name',
			'label'           => esc_html__( 'Display first name field', 'once' ),
			'section'         => 'footer',
			'default'         => false,
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'footer_layout',
					'operator' => '==',
					'value'    => 'type-1',
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'              => 'textarea',
			'settings'          => 'footer_subscribe_title',
			'label'             => esc_html__( 'Title', 'once' ),
			'section'           => 'footer',
			'default'           => esc_html__( 'Subscribe to', 'once' ) . "\n" . esc_html__( 'Our Updates', 'once' ),
			'priority'          => 10,
			'sanitize_callback' => 'wp_kses_post',
			'active_callback'   => array(
				array(
					'setting'  => 'footer_layout',
					'operator' => '==',
					'value'    => 'type-1',
				),
			),
		)
	);
}

if ( csco_powerkit_module_enabled( 'social_links' ) ) {
	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'     => 'collapsible',
			'settings' => 'footer_collapsible_social',
			'label'    => esc_html__( 'Social Links', 'once' ),
			'section'  => 'footer',
			'priority' => 10,
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'     => 'checkbox',
			'settings' => 'footer_social_links',
			'label'    => esc_html__( 'Display social links', 'once' ),
			'section'  => 'footer',
			'default'  => false,
			'priority' => 10,
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'select',
			'settings'        => 'footer_social_links_scheme',
			'label'           => esc_html__( 'Color scheme', 'once' ),
			'section'         => 'footer',
			'default'         => 'light',
			'priority'        => 10,
			'choices'         => array(
				'light'         => esc_html__( 'Light', 'once' ),
				'bold'          => esc_html__( 'Bold', 'once' ),
				'light-rounded' => esc_html__( 'Light Rounded', 'once' ),
				'bold-rounded'  => esc_html__( 'Bold Rounded', 'once' ),
			),
			'active_callback' => array(
				array(
					'setting'  => 'footer_social_links',
					'operator' => '==',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'number',
			'settings'        => 'footer_social_links_maximum',
			'label'           => esc_html__( 'Maximum Number of Social Links', 'once' ),
			'section'         => 'footer',
			'default'         => 4,
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'footer_social_links',
					'operator' => '==',
					'value'    => true,
				),
			),
		)
	);

	CSCO_Kirki::add_field(
		'csco_theme_mod', array(
			'type'            => 'checkbox',
			'settings'        => 'footer_social_links_counts',
			'label'           => esc_html__( 'Display counts', 'once' ),
			'section'         => 'footer',
			'default'         => true,
			'priority'        => 10,
			'active_callback' => array(
				array(
					'setting'  => 'footer_social_links',
					'operator' => '==',
					'value'    => true,
				),
			),
		)
	);
}
